New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Update ws to v5 #525

Closed
wants to merge 1 commit into
base: master
from

Conversation

2 participants
@paddybyers
Copy link
Member

paddybyers left a comment

LGTM, thanks.

Does this place any constraint on the node versions we support?

@SimonWoolf

This comment has been minimized.

Copy link
Member

SimonWoolf commented Jul 4, 2018

Does this place any constraint on the node versions we support?

Was about to say no (I checked it still supported 4.x before putting the pr up), but on closer investigation, yes: it requires v4.5 (for Buffer.alloc), we currently support back to v4.2.

Their justification is that older 4.x's have security holes so people on 4.x should upgrade to 4.8.7 or 4.9.1 anyway.

WDYT?

@paddybyers

This comment has been minimized.

Copy link
Member

paddybyers commented Jul 4, 2018

Their justification is that older 4.x's have security holes so people on 4.x should upgrade to 4.8.7 or 4.9.1 anyway.

WDYT?

I think it's fine for us to exclude those older versions - we just ought to document that.

@SimonWoolf

This comment has been minimized.

Copy link
Member

SimonWoolf commented Aug 23, 2018

Fixed + readme & engines updated in 99c967e

@SimonWoolf SimonWoolf closed this Aug 23, 2018

@SimonWoolf SimonWoolf deleted the update-ws branch Aug 23, 2018

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment